org.modeshape.jcr.value

## Class ValueFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.value.ValueFormatException

- All Implemented Interfaces:
    Serializable

      @Immutable
      public class ValueFormatException
      extends RuntimeException

  A runtime exception denoting that a value could not be converted to a specific type because of the value's format.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueFormatException(Object value, PropertyType targetType, String message)`
    `ValueFormatException(Object value, PropertyType targetType, String message, Throwable cause)`
    `ValueFormatException(PropertyType targetType, String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyType` | `getTargetType()` Get the `PropertyType` to which the `value` was being converted.
    `Object` | `getValue()` Get the original value that was being converted.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueFormatException

          public ValueFormatException(Object value,
                              PropertyType targetType,
                              String message)

      Parameters:
        `value` - the value that was not able to be converted
        `targetType` - the `PropertyType` to which the value was being converted
        `message` - the message

    - #### ValueFormatException

          public ValueFormatException(PropertyType targetType,
                              String message,
                              Throwable cause)

      Parameters:
        `targetType` - the `PropertyType` to which the value was being converted
        `message` - the message
        `cause` - the cause of the exception

    - #### ValueFormatException

          public ValueFormatException(Object value,
                              PropertyType targetType,
                              String message,
                              Throwable cause)

      Parameters:
        `value` - the value that was not able to be converted
        `targetType` - the `PropertyType` to which the value was being converted
        `message` - the message
        `cause` - the cause of the exception

  - ### Method Detail

    - #### getTargetType

          public PropertyType getTargetType()

      Get the `PropertyType` to which the `value` was being converted.
      Returns:
        the target type

    - #### getValue

          public Object getValue()

      Get the original value that was being converted.
      Returns:
        the value, which can be `null` in certain cases (e.g. when streams cause this exception)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.